=== added file 'setup.cfg'
--- setup.cfg	1970-01-01 00:00:00 +0000
+++ setup.cfg	2018-11-10 17:18:27 +0000
@@ -0,0 +1,10 @@
+[flake8]
+# Ignore E402 ("module level import not at top of file"),
+# because even with the lazy import plugin it still triggers
+# for lazy_import statements before other imports.
+ignore = E402
+
+[flake8:local-plugins]
+extension =
+	MC1 = flake8_lazy_import:LazyImport
+paths = ./tools/

=== added file 'tools/flake8_lazy_import.py'
--- tools/flake8_lazy_import.py	1970-01-01 00:00:00 +0000
+++ tools/flake8_lazy_import.py	2018-11-10 17:18:27 +0000
@@ -0,0 +1,20 @@
+"""Flake8 plugin for reading lazy imports."""
+
+import os
+import sys
+sys.path.append(os.path.join(os.path.dirname(__file__), '..'))
+import brzflakes
+
+
+class LazyImport(object):
+    """A dummy plugin that is present mainly to monkey patch pyflakes."""
+
+    name = 'lazy-import'
+    version = '0.1'
+
+    def __init__(self, tree):
+        self.tree = tree
+
+    def run(self):
+        """Do nothing."""
+        return []

